View Issue Details

IDProjectCategoryView StatusLast Update
0033988LazarusWidgetsetpublic2019-07-15 16:02
Reportercobata Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
Platformcocoa32/64OSmacOS 
Product Version1.9 (SVN) 
Summary0033988: Cocoa App Main Form No Scrollbars
DescriptionPorting from Carbon to Cocoa...
The Carbon app has hor. and vert. scrollbars, but the Cocoa app - NOT.
The attached zip contains the project and sources.
Steps To ReproduceSee above.
Just open and build the project for Carbon on Lazarus 1.8.4 and for Cocoa on Lazarus Trunk 1.9.0 and run them.
TagsNo tags attached.
Fixed in Revision61439
LazTarget-
WidgetsetCocoa
Attached Files

Relationships

has duplicate 0033987 closedDmitry Boyarintsev Cocoa App Main Form No Scrollbars 

Activities

cobata

2018-07-14 19:09

reporter  

test.zip (130,229 bytes)

cobata

2018-07-18 17:22

reporter   ~0109563

Guys,

I am doing cross-platform software: Vista_32/Delphi->Vista_32/Lazarus->Win10_64/Lazarus->macOS_Carbon (and NOW macOS_Cocoa)...

To report: Actually, on Carbon the main form scrollbars are always enabled/ visible, even no need of them, but I accepted this as some kind of workaround in order to have them at all, because I need them to can scroll the main window of my software... To have the scrollbars is major for me/ my software, but they do not appear NOW on macOS_Cocoa.

1. Do you have idea what causes this issue?
2. Do you know some workaround?

Best Regards,

cobata

2018-07-31 15:07

reporter   ~0109785

Checked on latest:
Updated to revision 58658.

Still reproducable!

According to http://wiki.lazarus.freepascal.org/Roadmap#Status_of_native_controls_on_each_LCL_Interface
TScrollBox/Bar are working.

cobata

2018-08-03 14:20

reporter   ~0109854

Do you plan to fix this?

Dmitry Boyarintsev

2018-08-04 05:08

developer   ~0109869

yes, there's a plan to fix it

cobata

2018-08-04 09:24

reporter   ~0109871

Thank you, Dmitry!

It's a show stopper to me and it's important to know that it will be integrally fixed with respect to the porting path Carbon->Cocoa in order the Software code to be kept clean from workarounds...

Please, I know that it's hard to do cross-platform IDE with all those cool widgetsets and try to find the best solution to keep integrity, back and even forward compatibility, maintainability and optimalism, but provide in the reports a note that an issue will be or will not be fixed, to can collaborate and organize our work.

Thank you!

cobata

2018-10-14 14:36

reporter   ~0111395

Checked on latest: (2.1.0)
Updated to revision 59296.

Still reproducable!

Chris Rorden

2018-10-14 22:30

reporter  

scrollbox.zip (3,393 bytes)

Chris Rorden

2018-10-14 22:32

reporter   ~0111402

@cobata - I can replicate your bug. As a work-around while Dmitry works on this, I think you could put a TScrollBox with Align := alClient on your form to simulate your desired effect. I have attached an example.

cobata

2018-10-15 10:47

reporter   ~0111406

@Chris - Thank you, I know it can be workarounded, but I am waiting for the fix.
I use intensively the Form.Control(s) array on all widgetsets... And as some useful info: on Delphi and on Lazarus the Control(s) array is managed differently: uses different base classes and in runtime behaves differently regarding what is in it in design time. On Lazarus it behaves more deterministic and appropriate (IMHO).

Dmitry Boyarintsev

2019-06-21 17:42

developer   ~0116817

please test and close if ok

cobata

2019-07-15 14:00

reporter   ~0117266

Checked on 61591. Fixed.
In which stable release it's planed to be taken?

cobata

2019-07-15 14:02

reporter   ~0117267

Checked on 61591. Fixed.
In which stable release it's planed to be taken?

Dmitry Boyarintsev

2019-07-15 16:02

developer   ~0117268

the fix would be included in the next official release 2.0.4 or 2.2.0 (whatever the next number is)

Issue History

Date Modified Username Field Change
2018-07-14 19:09 cobata New Issue
2018-07-14 19:09 cobata File Added: test.zip
2018-07-14 19:52 Dmitry Boyarintsev Relationship added has duplicate 0033987
2018-07-18 17:22 cobata Note Added: 0109563
2018-07-31 15:07 cobata Note Added: 0109785
2018-08-03 14:20 cobata Note Added: 0109854
2018-08-04 05:08 Dmitry Boyarintsev Note Added: 0109869
2018-08-04 09:24 cobata Note Added: 0109871
2018-10-14 14:36 cobata Note Added: 0111395
2018-10-14 22:30 Chris Rorden File Added: scrollbox.zip
2018-10-14 22:32 Chris Rorden Note Added: 0111402
2018-10-15 10:47 cobata Note Added: 0111406
2019-06-21 17:42 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-06-21 17:42 Dmitry Boyarintsev Status new => resolved
2019-06-21 17:42 Dmitry Boyarintsev Resolution open => fixed
2019-06-21 17:42 Dmitry Boyarintsev Fixed in Revision => 61439
2019-06-21 17:42 Dmitry Boyarintsev LazTarget => -
2019-06-21 17:42 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-06-21 17:42 Dmitry Boyarintsev Note Added: 0116817
2019-07-15 14:00 cobata Note Added: 0117266
2019-07-15 14:02 cobata Status resolved => closed
2019-07-15 14:02 cobata Note Added: 0117267
2019-07-15 16:02 Dmitry Boyarintsev Status closed => assigned
2019-07-15 16:02 Dmitry Boyarintsev Resolution fixed => reopened
2019-07-15 16:02 Dmitry Boyarintsev Note Added: 0117268
2019-07-15 16:02 Dmitry Boyarintsev Status assigned => resolved
2019-07-15 16:02 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-07-15 16:02 Dmitry Boyarintsev Status resolved => closed